Page MenuHomePhabricator

UploadWizard blocks upgrade when used with PostgreSQL
Closed, ResolvedPublic

Description

If I try to run "php maintenance/update.php" on a wiki that uses PostgreSQL as the database while UploadWizard is installed, it fails because extensions/UploadWizard/UploadWizard.sql tries to create a table uw_campaigns using syntax that is not valid in PostgreSQL.

If I inactivate the extension by commenting out the:
require_once( "$IP/extensions/UploadWizard/UploadWizard.php" );
then the upgrade completes. This leaves the uw_compaigns table missing.

Are there other extensions with db-engine-specific behavior, to serve as an example of the right way to fix this?

Presumably this problem applies to other branches as well, I only tested on 1.22.5 so far.


Version: REL1_22-branch
Severity: normal

Details

Reference
bz64067

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:15 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz64067.
bzimport added a subscriber: Unknown Object (MLST).
Jjanes created this task.Apr 17 2014, 5:43 PM

Change 132328 had a related patch set uploaded by Jjanes:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/132328

Jjanes added a comment.May 9 2014, 4:49 PM

Does anyone know if the existing code works for oracle or mssql? If it already works for them, I want to be careful not to break them. But if it doesn't work, that is less of a concern. sqlite3 supports the mysql AUTOINCREMENT syntax, but I don't think oracle or mssql do and so I think they are broken already.

Change 132328 merged by jenkins-bot:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/132328

The fix is merged into git, but UploadWizard does not seem to have tarball releases anymore and so the fixed code must be obtained from git.

Does that mean it is now "resolved fixed", or is it still waiting for something?

Thanks for the heads-up. Closing as RESOLVED FIXED (which means that a fix was merged into the code repository).

Change 141203 had a related patch set uploaded by Inchikutty:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/141203

Change 141203 abandoned by Alex Monk:
UploadWizard: Add support for PostgreSQL

https://gerrit.wikimedia.org/r/141203

[Restoring previous FIXED status]

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:55 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 2 2016, 8:16 PM